/* Dummy routines if InterViews is not used. */

#include "ivrun.h"
#include "types.h"
#include "exceptions.h"

int HaveInterViews = 0;

void My_IV_init(int argc, char **argv) { }

void set_rl_event_hook (int)
{ }

volatile void signal_no_display()
{
  Signal(new GenericCondition("Sorry; operations needs missing X11 window support."));
}

Root* ViewString(Root *val)
{
  signal_no_display();
}
